Creates a parking
curl --request POST \
--url https://api.chargecloud.dev/api/v1/assets/parking \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"location_id": 1,
"physical_reference": "<string>",
"max_vehicle_weight_kg": 1,
"max_vehicle_height_cm": 1,
"max_vehicle_length_cm": 1,
"max_vehicle_width_cm": 1,
"dangerous_goods_allowed": false,
"drive_through": false,
"restricted_to_type": false,
"reservation_required": false,
"time_limit_minutes": 123,
"roofed": false,
"lighting": false,
"vehicle_type": [
{
"vehicle_type": "<string>"
}
],
"chargepoints": [
{
"chargepoints": "<string>"
}
]
}
'import requests
url = "https://api.chargecloud.dev/api/v1/assets/parking"
payload = {
"location_id": 1,
"physical_reference": "<string>",
"max_vehicle_weight_kg": 1,
"max_vehicle_height_cm": 1,
"max_vehicle_length_cm": 1,
"max_vehicle_width_cm": 1,
"dangerous_goods_allowed": False,
"drive_through": False,
"restricted_to_type": False,
"reservation_required": False,
"time_limit_minutes": 123,
"roofed": False,
"lighting": False,
"vehicle_type": [{ "vehicle_type": "<string>" }],
"chargepoints": [{ "chargepoints": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
location_id: 1,
physical_reference: '<string>',
max_vehicle_weight_kg: 1,
max_vehicle_height_cm: 1,
max_vehicle_length_cm: 1,
max_vehicle_width_cm: 1,
dangerous_goods_allowed: false,
drive_through: false,
restricted_to_type: false,
reservation_required: false,
time_limit_minutes: 123,
roofed: false,
lighting: false,
vehicle_type: [{vehicle_type: '<string>'}],
chargepoints: [{chargepoints: '<string>'}]
})
};
fetch('https://api.chargecloud.dev/api/v1/assets/parking', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"parking": {
"id": 1,
"created_at": "2023-12-25",
"modification_date": "2023-12-25",
"uuid": "<string>",
"location_id": 1,
"physical_reference": "<string>",
"max_vehicle_weight_kg": 1,
"max_vehicle_height_cm": 1,
"max_vehicle_length_cm": 1,
"max_vehicle_width_cm": 1,
"dangerous_goods_allowed": false,
"drive_through": false,
"restricted_to_type": false,
"reservation_required": false,
"time_limit_minutes": 123,
"roofed": false,
"lighting": false,
"vehicle_type": [
{
"vehicle_type": "<string>"
}
],
"chargepoints": [
{
"chargepoints": "<string>"
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
{
"errorKey": "<string>",
"message": "<string>",
"parameter": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Parking
Creates a parking
Creates a parking. Required permission: assets:parking:create
POST
/
api
/
v1
/
assets
/
parking
Creates a parking
Authorizations
OAuth2 Bearer Authorization
Body
application/json
Creates a parking. Required permission: assets:parking:create
Location id
Required range:
x >= 0Physical reference/Name
Maximum string length:
12Maximum vehicle weight in kg
Required range:
x >= 0Maximum vehicle height in cm
Required range:
x >= 0Maximum vehicle length in cm
Required range:
x >= 0Maximum vehicle width in cm
Required range:
x >= 0Parking direction
Available options:
PARALLEL, PERPENDICULAR, ANGLE Dangerous goods allowed
Drive through
Restricted to type
Reservation required
Time limit in minutes
Roofed
Lighting
vehicle type
Show child attributes
Show child attributes
Chargepoint
Show child attributes
Show child attributes
Response
parking created
Parking
Show child attributes
Show child attributes
Was this page helpful?
⌘I